Skip to main content
PATCH
/
api
/
v2
/
accounts
/
{email}
Patch account
curl --request PATCH \
  --url https://api.instantly.ai/api/v2/accounts/{email} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "John",
  "last_name": "Doe",
  "warmup": {
    "limit": 100,
    "advanced": {
      "warm_ctd": false,
      "open_rate": 0.95,
      "important_rate": 0.8,
      "read_emulation": true,
      "spam_save_rate": 0.02,
      "weekday_only": true
    },
    "warmup_custom_ftag": "warmup",
    "increment": "disabled",
    "reply_rate": 0.1
  },
  "daily_limit": 100,
  "tracking_domain_name": "example.com",
  "tracking_domain_status": "active",
  "enable_slow_ramp": false,
  "inbox_placement_test_limit": 10,
  "sending_gap": 10,
  "signature": "Best regards, John Doe",
  "skip_cname_check": false,
  "remove_tracking_domain": false
}
'
{
  "email": "user@example.com",
  "timestamp_created": "2026-05-18T16:00:49.652Z",
  "timestamp_updated": "2026-05-18T16:00:49.652Z",
  "first_name": "John",
  "last_name": "Doe",
  "organization": "019e3bd1-8df4-7938-a6b5-fda3e9fcee2c",
  "warmup_status": 1,
  "provider_code": 2,
  "setup_pending": false,
  "is_managed_account": false,
  "warmup": {
    "limit": 100,
    "advanced": {
      "warm_ctd": false,
      "open_rate": 0.95,
      "important_rate": 0.8,
      "read_emulation": true,
      "spam_save_rate": 0.02,
      "weekday_only": true
    },
    "warmup_custom_ftag": "warmup",
    "increment": "disabled",
    "reply_rate": 0.1
  },
  "added_by": "019e3bd1-8df4-7938-a6b5-fda13b232c2c",
  "daily_limit": 100,
  "modified_by": "019e3bd1-8df4-7938-a6b5-fda23337f795",
  "tracking_domain_name": "example.com",
  "tracking_domain_status": "active",
  "status": 1,
  "enable_slow_ramp": false,
  "inbox_placement_test_limit": 10,
  "timestamp_last_used": "2026-05-18T16:00:49.652Z",
  "status_message": {
    "code": "EENVELOPE",
    "command": "DATA",
    "response": "550-5.4.5 Daily user sending limit exceeded. For more information on Gmai",
    "e_message": "error: data command failed: 550-5.4.5 daily user sending limit exceeded",
    "responseCode": 550
  },
  "timestamp_warmup_start": "2026-05-18T16:00:49.652Z",
  "warmup_pool_id": "019e3bd1-8df4-7938-a6b5-fda45d476f73",
  "dfy_password_changed": false,
  "stat_warmup_score": 85,
  "sending_gap": 10,
  "signature": "Best regards, John Doe",
  "autofix_failed": false
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

email
string
required

The email of the account to update

Example:

"jon@doe.com"

Body

application/json
first_name
string

First name associated with the account

Example:

"John"

last_name
string

Last name associated with the account

Example:

"Doe"

warmup
object

Warmup configuration for the account

daily_limit
number | null

Daily email sending limit

Example:

100

tracking_domain_name
string | null

Tracking domain

Example:

"example.com"

tracking_domain_status
string | null

Tracking domain status

Example:

"active"

enable_slow_ramp
boolean | null

Whether to enable slow ramp up for sending limits

Example:

false

inbox_placement_test_limit
number | null

The limit for inbox placement tests

Required range: x >= 0
Example:

10

sending_gap
number

The gap between emails sent from this account in minutes (minimum wait time when used with multiple campaigns)

Required range: 0 <= x <= 1440
Example:

10

signature
string | null

Email signature for the account

Example:

"Best regards, John Doe"

skip_cname_check
boolean
Example:

false

remove_tracking_domain
boolean
Example:

false

Response

The updated Account

An email account that can be used to send campaigns

email
string<email>
required

Email address of the account

Example:

"user@example.com"

timestamp_created
string<date-time>
required
read-only

Timestamp when the account was created

Example:

"2026-05-18T16:00:49.652Z"

timestamp_updated
string<date-time>
required
read-only

Timestamp when the account was last updated

Example:

"2026-05-18T16:00:49.652Z"

first_name
string
required

First name associated with the account

Example:

"John"

last_name
string
required

Last name associated with the account

Example:

"Doe"

organization
string<uuid>
required
read-only

Organization ID that owns this account

Example:

"019e3bd1-8df4-7938-a6b5-fda3e9fcee2c"

warmup_status
enum<number>
required
read-only

Current warmup status of the account

Available options:
0,
1,
-1,
-2,
-3
Example:

1

provider_code
enum<number>
required

Provider code for the account. Please make sure to specify the right provider code, otherwise your account will not work.

Available options:
1,
2,
3,
4,
8
Example:

2

setup_pending
boolean
required
read-only

Whether account setup is pending

Example:

false

is_managed_account
boolean
required
read-only

Whether this is a managed account

Example:

false

warmup
object

Warmup configuration for the account

added_by
null | string<uuid>
read-only

User ID who added the account

Example:

"019e3bd1-8df4-7938-a6b5-fda13b232c2c"

daily_limit
null | number

Daily email sending limit

Example:

100

modified_by
null | string<uuid>
read-only

User ID who last modified the account

Example:

"019e3bd1-8df4-7938-a6b5-fda23337f795"

tracking_domain_name
null | string

Tracking domain

Example:

"example.com"

tracking_domain_status
null | string

Tracking domain status

Example:

"active"

status
enum<number>
read-only

Current status of the account

Available options:
1,
2,
3,
-1,
-2,
-3
Example:

1

enable_slow_ramp
null | boolean

Whether to enable slow ramp up for sending limits

Example:

false

inbox_placement_test_limit
null | number

The limit for inbox placement tests

Required range: x >= 0
Example:

10

timestamp_last_used
null | string<date-time>
read-only

Timestamp when the account was last used

Example:

"2026-05-18T16:00:49.652Z"

status_message
object
read-only

Status message for the account

timestamp_warmup_start
null | string<date-time>
read-only

Timestamp when warmup was started

Example:

"2026-05-18T16:00:49.652Z"

warmup_pool_id
null | string<uuid>
read-only

ID of the warmup pool this account belongs to

Example:

"019e3bd1-8df4-7938-a6b5-fda45d476f73"

dfy_password_changed
null | boolean
read-only

Whether DFY password has been changed

Example:

false

stat_warmup_score
null | number
read-only

Warmup score for the account

Example:

85

sending_gap
number

The gap between emails sent from this account in minutes (minimum wait time when used with multiple campaigns)

Required range: 0 <= x <= 1440
Example:

10

signature
null | string

Email signature for the account

Example:

"Best regards, John Doe"

autofix_failed
null | boolean
read-only

Whether automatic reconnection attempts have failed. null = in progress, true = failed, false = succeeded.

Example:

false